Уязвимость BDU:2015-02406

Дата: 01.01.2015. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2015-02406.

Наименование уязвимости: Уязвимости операционной системы Debian GNU/Linux, позволяющие удаленному злоумышленнику нарушить конфиденциальность, целостность и доступность защищаемой информации.

Описание уязвимости: Множественные уязвимости пакета libruby операционной системы Debian GNU/Linux, эксплуатация которых может привести к нарушению конфиденциальности, целостности и доступности защищаемой информации. Эксплуатация уязвимостей может быть осуществлена удаленно
Уязвимое ПО: Операционная система Debian GNU/Linux до 3.0 |

Наименование ОС и тип аппаратной платформы:

CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:P/A:P
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)

Возможные меры по устранению:
Проблема может быть решена обновлением операционной системы до следующих версий пакетов в зависимости от архитектуры:
Debian GNU/Linux 3.0:
ppc:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
s390x:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
m68k:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
i686:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
hppa:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
sparc:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
alpha:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
ia64:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
mips:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
noarch:
irb — 1.6.7-3woody5
ruby-elisp — 1.6.7-3woody5
ruby-examples — 1.6.7-3woody5
mipsel:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
arm:
libcurses-ruby — 1.6.7-3woody5
libdbm-ruby — 1.6.7-3woody5
libgdbm-ruby — 1.6.7-3woody5
libnkf-ruby — 1.6.7-3woody5
libpty-ruby — 1.6.7-3woody5
libreadline-ruby — 1.6.7-3woody5
libruby — 1.6.7-3woody5
libsdbm-ruby — 1.6.7-3woody5
libsyslog-ruby — 1.6.7-3woody5
libtcltk-ruby — 1.6.7-3woody5
libtk-ruby — 1.6.7-3woody5
ruby — 1.6.7-3woody5
ruby-dev — 1.6.7-3woody5
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2005-2337. DSA-860. ID:1400645.

Тип ошибки CWE:
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://www.debian.org/security/dsa-860/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2337

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *